Subject: Re: FVWM: Static

From: Dan Espen <[email-masked]>
Date: Thu, 06 Sep 2001 18:22:58 -0400

Dmytro Bablinyuk <[email-masked]> writes:
> Thank you for the answer.
> 
> I  definitely want to compile statically as this compiled package will be
> re-distributed on other computers with limited Solaris installation and at th
> e
> moment nobody know what libraries this limited Solaris will have.
> I did search via comp.unix.solaric (keyword fvwm) but I have not found anythi
> ng
> which will say it can't be linked statically. If Makefile does not contain th
> is
> option it does not mean that it can't be done.
> 
> Do you know any particular reason why it cannot be done ?

Don't search for fvwm, search for "static linking".

If you want to staticly link libXpm, that should be easy, just
don't create libXpm.so.
The same thing applies for other optional libraries like readline,
gtk, rplay.

All the X stuff should be on any machine that will run fvwm.

> Thank you
> 
> Dmytro
> 
> Dan Espen wrote:
> 
> > Dmytro Bablinyuk <[email-masked]> writes:
> > > Hello,
> > >
> > > Is there any possibility to compile fvwm2.4.0 staticaly (so be independen
> t on
> > >  system libraries) ?
> > >
> > > If yes then another question - how to ?
> > >
> > > I appreciate your help,
> > >
> > > Best regards
> > >
> > > PS: My system Solaris Sparc 8
> >
> > I see questions along these lines on news:/comp.unix.solaris
> > every once in a while.  You might want to go to groups.google.com
> > and do some searches.
> >
> > I think the consensus, is no you can't, and no, you don't want to
> 
> --
> Dmytro Bablinyuk
> Software Design Engineer
> Tait Electronics Ltd
> 175 Roydvale Avenue, PO Box 1645, Christchurch, New Zealand
> Email: [email-masked]
> Direct Ph: (64)(3)358 0307  Fax: (64)(3)359 4632
> Web: www.taitworld.com
> 
> 
> 
> --Boundary_(ID_ifS/8mNDYLZ1CJOySsJkpg)
> Content-type: text/html; charset=us-ascii
> Content-transfer-encoding: 7BIT
> 
> <!doctype html public "-//w3c//dtd html 4.0 transitional//en">
> <html>
> Thank you for the answer.
> <p>I&nbsp; definitely want to compile statically as this compiled package
> will be re-distributed on other computers with limited Solaris installation
> and at the moment nobody know what libraries this limited Solaris will
> have.
> <br>I&nbsp;did search via comp.unix.solaric (keyword fvwm) but I&nbsp;have
> not found anything which will say it can't be linked statically. If Makefile
> does not contain this option it does not mean that it can't be done.
> <p>Do you know any particular reason why it cannot be done ?
> <p>Thank you
> <p>Dmytro
> <p>Dan Espen wrote:
> <blockquote TYPE=CITE>Dmytro Bablinyuk &lt;[email-masked]>
> writes:
> <br>> Hello,
> <br>>
> <br>> Is there any possibility to compile fvwm2.4.0 staticaly (so be independ
> ent
> on
> <br>>&nbsp; system libraries) ?
> <br>>
> <br>> If yes then another question - how to ?
> <br>>
> <br>> I appreciate your help,
> <br>>
> <br>> Best regards
> <br>>
> <br>> PS: My system Solaris Sparc 8
> <p>I see questions along these lines on <a href="news:/comp.unix.solaris">new
> s:/comp.unix.solaris</a>
> <br>every once in a while.&nbsp; You might want to go to groups.google.com
> <br>and do some searches.
> <p>I think the consensus, is no you can't, and no, you don't want to</blockqu
> ote>
> 
> <pre>--&nbsp;
> Dmytro Bablinyuk
> Software Design Engineer
> Tait Electronics Ltd
> 175 Roydvale Avenue, PO Box 1645, Christchurch, New Zealand
> Email: [email-masked]
> Direct Ph: (64)(3)358 0307&nbsp; Fax: (64)(3)359 4632
> Web: www.taitworld.com</pre>
> &nbsp;</html>
> 
> --Boundary_(ID_ifS/8mNDYLZ1CJOySsJkpg)--

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].